Summary: Dynamic environment for running Faust dsps in Pd
Name: pd-faust
Version: 0.3
Release: 1%{?dist}
License: LGPL v3+
Group: Applications/Multimedia
URL: http://docs.pure-lang.googlecode.com/hg/pd-faust.html
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%{?filter_setup:
%filter_from_requires s|%{_libdir}/pure/||g
%filter_setup
}

BuildRequires: pd-extended pure-devel libffi-devel mpfr-devel gmp-devel
BuildRequires: pd-pure pure-faust pure-midi pure-stldict faust llvm

%description
Dynamic environment for running Faust dsps in Pd. It is based on the
author’s faust2pd script, but offers many small improvements and some
major additional features:

* Faust dsps are implemented using two Pd objects, fsynth~ and fdsp~,
  which provide the necessary infrastructure to run Faust synthesizer
  and effect units in Pd, respectively.
* In contrast to faust2pd, the Pd GUI of Faust units is generated
  dynamically, inside Pd. While pd-faust supports the same global GUI
  layout options as faust2pd, it also provides various options to
  adjust the layout of individual control items.
* pd-faust recognizes the midi and osc controller attributes in the
  Faust source and automatically provides corresponding MIDI and OSC
  controller mappings. OSC-based controller automation is also
  available.
* Perhaps most importantly, Faust dsps can be reloaded at any time
  (even while the Pd patch is running), in which case the GUI and the
  controller mappings are regenerated automatically and on the fly as
  needed.

%prep
%setup -q

%build
perl -p -i -e 's|m_pd.h|%{_libdir}/pd-extended/include/m_pd.h|g' lib/pdstub.c
perl -p -i -e 's|m_pd.h|%{_libdir}/pd-extended/include/m_pd.h|g' lib/pdloader.c
make libdir=%{_libdir} pdlibdir=%{_libdir}/pd-extended

%install
rm -rf $RPM_BUILD_ROOT
make libdir=%{_libdir} pdlibdir=%{_libdir}/pd-extended DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/pd-extended/extra/faust/

%changelog
* Thu Jan 12 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.3-1
- updated to version 0.3

* Wed Jan 11 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2-2
- filter requires, in x86_64 list does not match provides from
  pure-* packages and install fails

* Wed Jan  4 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2-1
- initial build.
